# DataExchange
TKSTEPAttr
StepVisual

# StepVisual_SurfaceStyleUsage Class Reference

`#include <StepVisual_SurfaceStyleUsage.hxx>`

## Public Member Functions

Standard_EXPORT | StepVisual_SurfaceStyleUsage ()
| Returns a SurfaceStyleUsage .
virtual Standard_EXPORT void | Init (const StepVisual_SurfaceSide aSide, const Handle(StepVisual_SurfaceSideStyle)&aStyle)
Standard_EXPORT void | SetSide (const StepVisual_SurfaceSide aSide)
Standard_EXPORT StepVisual_SurfaceSide | Side () const
Standard_EXPORT void | SetStyle (const Handle(StepVisual_SurfaceSideStyle)&aStyle)
Standard_EXPORT Handle_StepVisual_SurfaceSideStyle | Style () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

StepVisual_SurfaceSide | side
Handle_StepVisual_SurfaceSideStyle | style

## Constructor & Destructor Documentation

Standard_EXPORT StepVisual_SurfaceStyleUsage::StepVisual_SurfaceStyleUsage | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepVisual_SurfaceStyleUsage::Handle | ( | Standard_Type |  | ) | const

virtual Standard_EXPORT void StepVisual_SurfaceStyleUsage::Init | ( | const StepVisual_SurfaceSide | aSide,
|  | const Handle(StepVisual_SurfaceSideStyle)& | aStyle
| ) | `[virtual]`

Standard_EXPORT void StepVisual_SurfaceStyleUsage::SetSide | ( | const StepVisual_SurfaceSide | aSide | ) |

Standard_EXPORT void StepVisual_SurfaceStyleUsage::SetStyle | ( | const Handle(StepVisual_SurfaceSideStyle)& | aStyle | ) |

Standard_EXPORT StepVisual_SurfaceSide StepVisual_SurfaceStyleUsage::Side | ( |  | ) | const

Standard_EXPORT Handle_StepVisual_SurfaceSideStyle StepVisual_SurfaceStyleUsage::Style | ( |  | ) | const

## Field Documentation

StepVisual_SurfaceSide StepVisual_SurfaceStyleUsage::side `[private]`

Handle_StepVisual_SurfaceSideStyle StepVisual_SurfaceStyleUsage::style `[private]`

The documentation for this class was generated from the following file:

- StepVisual_SurfaceStyleUsage.hxx